Holger's Java API

## com.antelmann.opengeodb
Class OpenLocationServiceDE

    java.lang.Object
      com.antelmann.opengeodb.OpenLocationServiceDE

    public class OpenLocationServiceDE

extends Object

provides special services on top of an `OpenGeoDB` for Germany based on direct queries

Since:
  30.12.2014, 23:47:59
Author:
  holger

Constructor Summary
`OpenLocationServiceDE(OpenGeoDB db)`

Method Summary
`String` `getCityForZip(String zip)` useful when determining multiple city names
`Map<String,String>` `getZipMap()`
`String` `queryCityForZip(String zip)` useful when just one city is queried
`protected ArrayList<String>` `queryCityNamesFor(String txt, String kind)`
`ArrayList<String>` `queryCityNamesForCar(String car)`
`ArrayList<String>` `queryCityNamesForPhone(String phone)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenLocationServiceDE

    public OpenLocationServiceDE(OpenGeoDB db)

Method Detail

### getZipMap

    public Map<String,String> getZipMap()
                                 throws IOException

  Throws:
    `IOException`
  See Also:
    `getCityForZip(String)`

### getCityForZip

    public String getCityForZip(String zip)
                         throws IOException

  useful when determining multiple city names

  Throws:
    `IOException`
  See Also:
    `queryCityForZip(String)`, `getZipMap()`

### queryCityForZip

    public String queryCityForZip(String zip)
                           throws SQLException

  useful when just one city is queried

  Throws:
    `SQLException`
  See Also:
    `getCityForZip(String)`

### queryCityNamesForPhone

    public ArrayList<String> queryCityNamesForPhone(String phone)
                                             throws SQLException

  Throws:
    `SQLException`

### queryCityNamesForCar

    public ArrayList<String> queryCityNamesForCar(String car)
                                           throws SQLException

  Throws:
    `SQLException`

### queryCityNamesFor

    protected ArrayList<String> queryCityNamesFor(String txt,
                                                  String kind)
                                           throws SQLException

  Throws:
    `SQLException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads